cURL
curl --request GET \
--url 'https://app.floral.so/api/v1/workspaces/acme-nordic/relationships/search?limit=8&q=Acme' \
--header 'Authorization: Bearer $FLORAL_TOKEN'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.floral.so/api/v1/workspaces/{workspaceSlug}/relationships/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"companies": [
{
"email": "hello@acme-nordic.example",
"id": 42,
"industry": "Design",
"lifecycleStage": "PROSPECT",
"name": "Acme Nordic",
"organizationNumber": "12345678",
"phone": "+45 33 12 34 56",
"type": "company"
}
],
"people": [
{
"companyId": 42,
"companyName": "Acme Nordic",
"email": "ada@acme-nordic.example",
"id": 84,
"lifecycleStage": "PROSPECT",
"mobile": "+45 20 11 22 33",
"name": "Ada Jensen",
"phone": "+45 33 12 34 56",
"title": "Operations director",
"type": "person"
}
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "The request contains invalid values.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid bearer credential is required.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "The credential does not grant this operation.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The resource was not found.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Retry shortly.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}Search
Search companies and people
Search active companies and people in one workspace.
GET
https://app.floral.so
/
api
/
v1
/
workspaces
/
{workspaceSlug}
/
relationships
/
search
cURL
curl --request GET \
--url 'https://app.floral.so/api/v1/workspaces/acme-nordic/relationships/search?limit=8&q=Acme' \
--header 'Authorization: Bearer $FLORAL_TOKEN'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.floral.so/api/v1/workspaces/{workspaceSlug}/relationships/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"companies": [
{
"email": "hello@acme-nordic.example",
"id": 42,
"industry": "Design",
"lifecycleStage": "PROSPECT",
"name": "Acme Nordic",
"organizationNumber": "12345678",
"phone": "+45 33 12 34 56",
"type": "company"
}
],
"people": [
{
"companyId": 42,
"companyName": "Acme Nordic",
"email": "ada@acme-nordic.example",
"id": 84,
"lifecycleStage": "PROSPECT",
"mobile": "+45 20 11 22 33",
"name": "Ada Jensen",
"phone": "+45 33 12 34 56",
"title": "Operations director",
"type": "person"
}
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "The request contains invalid values.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid bearer credential is required.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "The credential does not grant this operation.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The resource was not found.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Retry shortly.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
Authenticate with a workspace-pinned Floral personal access token.
Headers
Optional caller-generated correlation ID. Floral returns the effective value in X-Request-ID.
Required string length:
1 - 128Path Parameters
Slug of the workspace pinned to the credential.
Required string length:
1 - 100Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Query Parameters
Case-insensitive company or person search text.
Required string length:
3 - 200Maximum combined matches to return.
Required range:
1 <= x <= 20